// light mapping pixel shader

//textures seem to bind 1 to 1 with texture units
varying vec3 vertex_to_light;

uniform sampler2D decal_tex;
uniform sampler2D normal_map;

void main()
{
  	vec4 decalTex = texture2D(decal_tex, gl_TexCoord[0].st);

        if (decalTex.g > 0.9)
        {
            discard;
        }

        vec3 normal = normalize(texture2D(normal_map, gl_TexCoord[0].st).xyz * 2.0 - 1.0);

        vec3 light = normalize(vertex_to_light);

        float diffuse = clamp(dot(light, normal), 0.0, 1.0);

	gl_FragColor = decalTex * diffuse;
}

